"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadJDBCDriver = void 0;
const path_1 = __importDefault(require("path"));
const shared_1 = require("@cubejs-backend/shared");
function acceptedByEnv() {
    const acceptStatus = (0, shared_1.getEnv)('databrickAcceptPolicy');
    if (acceptStatus) {
        console.log('You accepted Terms & Conditions for JDBC driver from DataBricks by CUBEJS_DB_DATABRICKS_ACCEPT_POLICY');
    }
    if (acceptStatus === false) {
        console.log('You declined Terms & Conditions for JDBC driver from DataBricks by CUBEJS_DB_DATABRICKS_ACCEPT_POLICY');
        console.log('Installation will be skipped');
    }
    return acceptStatus;
}
async function downloadJDBCDriver() {
    const driverAccepted = acceptedByEnv();
    if (driverAccepted) {
        console.log('Downloading DatabricksJDBC42-2.6.29.1051');
        await (0, shared_1.downloadAndExtractFile)('https://databricks-bi-artifacts.s3.us-east-2.amazonaws.com/simbaspark-drivers/jdbc/2.6.29/DatabricksJDBC42-2.6.29.1051.zip', {
            showProgress: true,
            cwd: path_1.default.resolve(path_1.default.join(__dirname, '..', 'download')),
        });
        console.log('Release notes: https://databricks-bi-artifacts.s3.us-east-2.amazonaws.com/simbaspark-drivers/jdbc/2.6.29/docs/release-notes.txt');
        return path_1.default.resolve(path_1.default.join(__dirname, '..', 'download', 'DatabricksJDBC42.jar'));
    }
    return null;
}
exports.downloadJDBCDriver = downloadJDBCDriver;
//# sourceMappingURL=installer.js.map